void OnStart () 
{
	for (int i=1; i<=3; i++) SetLightVisible("ol"+i, false);
	SetEntityPlayerInteractCallback("lightExamine", "Lights", true);
	AddUseItemCallback("", "orbpiece_turquoise_1", "powerExamine", "Unlock", false);
	AddUseItemCallback("", "orbpiece_turquoise_2", "powerExamine", "Unlock", false);
	AddUseItemCallback("", "orbpiece_turquoise_3", "powerExamine", "Unlock", false);
	AddUseItemCallback("", "orbpiece_turquoise_4", "powerExamine", "Unlock", false);
	AddUseItemCallback("", "orbpiece_turquoise_5", "powerExamine", "Unlock", false);
	AddUseItemCallback("", "orbpiece_turquoise_6", "powerExamine", "Unlock", false);
	SetEntityCustomFocusCrossHair("lightExamine", "Ignite");
}


void Lights (string &in entity)
{
	for (int i=1; i<=3; i++) SetLightVisible("ol"+i, true);
	CreateParticleSystemAtEntity("", "ps_orb_light.ps", "orbLight", true);
	CreateParticleSystemAtEntity("", "ps_orb_room_alex_die.ps", "orbLight", true);
	StartScreenShake(0.03, 0.5, 2.0, 2.0);
	PlaySoundAtEntity("", "27_orb_implode.snt", "orbLight", 2.0, false);
}
void Unlock (string &in asItem, string &in asEntity)
{
	if(asItem == "Decoder")
	{
		SetMessage("Message", "01_alexander_decoder1", 4);
		return;
	}
	if(HasItem("Decoder")) 
	{
		if (GetSwingDoorLocked("castle_2") == true)
		{
			RemoveItem(asItem);
			CreateParticleSystemAtEntity("", "ps_orb_light.ps", "Unlocker", true);
			SetSwingDoorLocked("castle_2", false, false);
			CreateParticleSystemAtEntity("", "ps_orb_room_alex_die.ps", "castle_2", true);
			PlaySoundAtEntity("", "29_elec_burst.snt", "Unlocker", 2.0, false);
			SetMessage("Message", "01_alexander_unlocked", 4);
		} else {
			SetMessage("Message", "01_alexander_alreadyunlocked", 4);
		}
	} else {
		SetMessage("Message", "01_alexander_understand", 4);
	}
}
